Bug 1211616 - uwsgi builds on secondary archs
Summary: uwsgi builds on secondary archs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-04-14 12:47 UTC by Jakub Čajka
Modified: 2015-05-26 03:33 UTC (History)
2 users (show)

Fixed In Version: uwsgi-2.0.9-7.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 16:25:47 UTC


Attachments (Terms of Use)
Patch (8.73 KB, patch)
2015-04-14 12:47 UTC, Jakub Čajka
no flags Details | Diff

Description Jakub Čajka 2015-04-14 12:47:55 UTC
Created attachment 1014295 [details]
Patch

Uwsgi is primary arch exclusive, but seems to build on secondary archs with right plugins disabled(as it built previously). In attachment is patch which disables some plugins on each arch based on missing deps (and fixes java/jvm path on ppc64le in jvm plugin). Uwsgi builds fine with it on all archs.

Scratch builds:

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2465827
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2961542
http://koji.fedoraproject.org/koji/taskinfo?taskID=9476385
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1776818

Comment 1 Fedora Update System 2015-04-21 16:00:14 UTC
uwsgi-2.0.9-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/uwsgi-2.0.9-5.el7

Comment 2 Fedora Update System 2015-04-21 16:01:23 UTC
uwsgi-2.0.9-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/uwsgi-2.0.9-5.fc22

Comment 3 Fedora Update System 2015-04-21 16:01:30 UTC
uwsgi-2.0.9-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/uwsgi-2.0.9-5.fc21

Comment 4 Jorge Gallegos 2015-04-22 01:05:08 UTC
I did some more work but this patch doesn't work with el6, which wasn't tested in the above builds.

Comment 5 Fedora Update System 2015-04-22 05:09:07 UTC
Package uwsgi-2.0.9-5.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing uwsgi-2.0.9-5.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5917/uwsgi-2.0.9-5.el7
then log in and leave karma (feedback).

Comment 6 Dan Horák 2015-04-22 07:25:45 UTC
(In reply to Jorge A Gallegos from comment #4)
> I did some more work but this patch doesn't work with el6, which wasn't
> tested in the above builds.

Yes, I've realized there is no openjdk for ppc64 in EL-6, so either the Java subpackage should be disabled for ppc64 in EL-6 or the whole ppc64 arch might get Excluded for EL-6.

The ppc64le java patch should be applied unconditionally, it is required in Fedora (http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2471526) and harmless for RHEL < 7.

Comment 7 Jorge Gallegos 2015-04-22 22:33:58 UTC
This is sort of why I did it arch exclusive, I can go either way but at this point I think it makes more sense to just disable jvm for ppc64, patch in a bit.

Comment 8 Fedora Update System 2015-04-24 17:17:41 UTC
uwsgi-2.0.9-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/uwsgi-2.0.9-7.el7

Comment 9 Fedora Update System 2015-04-24 17:19:39 UTC
uwsgi-2.0.9-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/uwsgi-2.0.9-7.el6

Comment 10 Fedora Update System 2015-04-24 17:20:46 UTC
uwsgi-2.0.9-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/uwsgi-2.0.9-7.fc22

Comment 11 Fedora Update System 2015-04-24 17:21:24 UTC
uwsgi-2.0.9-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/uwsgi-2.0.9-7.fc21

Comment 12 Fedora Update System 2015-05-19 16:25:47 UTC
uwsgi-2.0.9-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-20 04:50:01 UTC
uwsgi-2.0.9-7.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-05-20 04:52:33 UTC
uwsgi-2.0.9-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-05-26 03:33:13 UTC
uwsgi-2.0.9-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.